'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

function Highlight(_ref) {
  var text = _ref.text,
      match = _ref.match,
      highlightClassname = _ref.highlightClassname;
  var $match = React.useMemo(function () {
    if (match.flags.includes('g')) return match;
    return new RegExp(match.source, 'g' + match.flags);
  }, [match]);
  var matchedPieces = Array.from(text.matchAll($match)).map(function (_ref2) {
    var text = _ref2[0];
    return text;
  });
  var preservedPieces = text.split($match);
  var content = [];
  var i = 0;

  while (matchedPieces.length || preservedPieces.length) {
    if (preservedPieces.length) {
      content.push(React__default.createElement("span", {
        key: i++
      }, preservedPieces.shift()));
    }

    if (matchedPieces.length) {
      content.push(React__default.createElement("mark", {
        className: highlightClassname,
        key: i++
      }, matchedPieces.shift()));
    }
  }

  return React__default.createElement(React__default.Fragment, null, content);
}

exports.Highlight = Highlight;
//# sourceMappingURL=react-highlight-regex.cjs.development.js.map
